<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_location_include.php
| Author: Digitanium
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Display user field input
if ($profile_method == "input") {
	$user_imie = isset($user_data['user_imie']) ? stripinput($user_data['user_imie']) : "";
	if ($this->isError()) { $user_imie = isset($_POST['user_imie']) ? stripinput($_POST['user_imie']) : $user_imie; }

	echo "<tr>\n";
	echo "<td class='tbl".$this->getErrorClass("user_imie")."'><label for='user_imie'>".$locale['uf_imie'].$required."</label></td>\n";
	echo "<td class='tbl".$this->getErrorClass("user_imie")."'>";
	echo "<input type='text' id='user_imie' name='user_imie' value='".$user_imie."' maxlength='50' class='textbox' style='width:200px;' />";
	echo "</td>\n</tr>\n";

	if ($required) { $this->setRequiredJavaScript("user_imie", $locale['uf_imie_error']); }

// Display in profile
} elseif ($profile_method == "display") {
	if ($user_data['user_imie']) {
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['uf_imie']."</td>\n";
		echo "<td align='right' class='tbl1'>".$user_data['user_imie']."</td>\n";
		echo "</tr>\n";
	}

// Insert and update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
	if (isset($_POST['user_imie']) && ($_POST['user_imie'] != "" || $this->_isNotRequired("user_imie"))) {
		// Set update or insert user data
		$this->_setDBValue("user_imie", stripinput(trim($_POST['user_imie'])));
	} else {
		$this->_setError("user_imie", $locale['uf_imie_error'], true);
	}
}
?>
