<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_location_include.php
| Author: Digitanium
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Display user field input
if ($profile_method == "input") {
	$user_nazwisko = isset($user_data['user_nazwisko']) ? stripinput($user_data['user_nazwisko']) : "";
	if ($this->isError()) { $user_nazwisko = isset($_POST['user_nazwisko']) ? stripinput($_POST['user_nazwisko']) : $user_nazwisko; }

	echo "<tr>\n";
	echo "<td class='tbl".$this->getErrorClass("user_nazwisko")."'><label for='user_nazwisko'>".$locale['uf_nazwisko'].$required."</label></td>\n";
	echo "<td class='tbl".$this->getErrorClass("user_nazwisko")."'>";
	echo "<input type='text' id='user_nazwisko' name='user_nazwisko' value='".$user_nazwisko."' maxlength='50' class='textbox' style='width:200px;' />";
	echo "</td>\n</tr>\n";

	if ($required) { $this->setRequiredJavaScript("user_nazwisko", $locale['uf_nazwisko_error']); }

// Display in profile
} elseif ($profile_method == "display") {
	if ($user_data['user_nazwisko']) {
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['uf_nazwisko']."</td>\n";
		echo "<td align='right' class='tbl1'>".$user_data['user_nazwisko']."</td>\n";
		echo "</tr>\n";
	}

// Insert and update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
	if (isset($_POST['user_nazwisko']) && ($_POST['user_nazwisko'] != "" || $this->_isNotRequired("user_nazwisko"))) {
		// Set update or insert user data
		$this->_setDBValue("user_nazwisko", stripinput(trim($_POST['user_nazwisko'])));
	} else {
		$this->_setError("user_nazwisko", $locale['uf_nazwisko_error'], true);
	}
}
?>
